Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.description
Class WSDL20ToAllAxisServicesBuilder

    java.lang.Object
      org.apache.axis2.description.WSDLToAxisServiceBuilder
          org.apache.axis2.description.WSDL20ToAxisServiceBuilder
              org.apache.axis2.description.WSDL20ToAllAxisServicesBuilder

    public class WSDL20ToAllAxisServicesBuilder

extends WSDL20ToAxisServiceBuilder

Extends the WSDL20ToAxisServiceBuilder class to provide functionality to return multiple AxisService objects; one for each endpoint on each service in the WSDL 2.0 file.

Field Summary
`protected static org.apache.commons.logging.Log` | `log`

Fields inherited from class org.apache.axis2.description.WSDL20ToAxisServiceBuilder
`description, interfaceName`

Fields inherited from class org.apache.axis2.description.WSDLToAxisServiceBuilder
`AXIS2WRAPPED, axisConfig, axisService, in, isCodegen, isServerSide, nsCount, registry, resolvedRpcWrappedElementMap, serviceName, style, TYPES, XML_SCHEMA_COMPLEX_TYPE_LOCAL_NAME, XML_SCHEMA_ELEMENT_LOCAL_NAME, XML_SCHEMA_IMPORT_LOCAL_NAME, XML_SCHEMA_LOCAL_NAME, XML_SCHEMA_SEQUENCE_LOCAL_NAME, XMLNS_AXIS2WRAPPED, XMLSCHEMA_NAMESPACE_PREFIX, XMLSCHEMA_NAMESPACE_URI, XSD_ELEMENT_FORM_DEFAULT, XSD_NAME, XSD_REF, XSD_TARGETNAMESPACE, XSD_TYPE, XSD_UNQUALIFIED`

Constructor Summary
`WSDL20ToAllAxisServicesBuilder(java.io.InputStream in)` Class constructor.
`WSDL20ToAllAxisServicesBuilder(java.lang.String wsdlUri, java.lang.String endpointName)`

Method Summary
`java.util.List<AxisService>` | `populateAllServices()` Public method to access the wsdl 2.0 file and create a List of AxisService objects.

Methods inherited from class org.apache.axis2.description.WSDL20ToAxisServiceBuilder
`isAllPorts, populateService, setAllPorts, setCustomWSDLResolver, setup`

Methods inherited from class org.apache.axis2.description.WSDLToAxisServiceBuilder
`createHttpLocationTable, findSchemaPrefix, getBaseUri, getDOMDocumentBuilder, getServiceName, getTemporaryNamespacePrefix, getXMLSchema, isCodegen, isServerSide, replace, setBaseUri, setCodegen, setCustomResolver, setPolicyRegistryFromService, setServerSide, setServiceName, stackToString, stackToString, useAxisConfiguration`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static final org.apache.commons.logging.Log log

Constructor Detail

### WSDL20ToAllAxisServicesBuilder

    public WSDL20ToAllAxisServicesBuilder(java.io.InputStream in)

  Class constructor.

  Parameters:
    `in` - - Contains the wsdl 2.0 file

### WSDL20ToAllAxisServicesBuilder

    public WSDL20ToAllAxisServicesBuilder(java.lang.String wsdlUri,
                                          java.lang.String endpointName)
                                   throws org.apache.woden.WSDLException

Throws:
  `org.apache.woden.WSDLException`

Method Detail

### populateAllServices

    public java.util.List<AxisService> populateAllServices()
                                                    throws AxisFault

  Public method to access the wsdl 2.0 file and create a List of AxisService objects. For each endpoint on each service in the wsdl, an AxisService object is created and added to the List. The name of the AxisService is changed from the service name to the the following: #. Note that the endpoint name is not unique to a wsdl 2.0 file. Multiple services in the file may have endpoints with the same name. Therefore the name of the AxisService needs to be a combination of service/endpoint name to be unique to the wsdl.

  Returns:
    A List containing one AxisService object for each port in the wsdl file. The name of the AxisService is modified to uniquely represent the service/endpoint pair. The format of the name is "#"
  Throws:
    `AxisFault`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.